Shell access and data transfer
==============================

Interactive Login
-----------------
The Anselm cluster is accessed by SSH protocol via login nodes login1 and login2 at address anselm.it4i.cz. The login nodes may be addressed specifically, by prepending the login node name to the address.

|Login address|Port|Protocol|Login node|
|---|---|
|anselm.it4i.cz|22|ssh|round-robin DNS record for login1 and login2|
|login1.anselm.it4i.cz|22|ssh|login1|
|login2.anselm.it4i.cz|22|ssh|login2|

The authentication is by the [private key](../../../get-started-with-it4innovations/accessing-the-clusters/shell-access-and-data-transfer/ssh-keys/)

!!! Note "Note"
	Please verify SSH fingerprints during the first logon. They are identical on all login nodes:

	29:b3:f4:64:b0:73:f5:6f:a7:85:0f:e0:0d:be:76:bf (DSA)
	d4:6f:5c:18:f4:3f:70:ef:bc:fc:cc:2b:fd:13:36:b7 (RSA)

Private key authentication:

On **Linux** or **Mac**, use

```bash
local $ ssh -i /path/to/id_rsa username@anselm.it4i.cz
```

If you see warning message "UNPROTECTED PRIVATE KEY FILE!", use this command to set lower permissions to private key file.

```bash
local $ chmod 600 /path/to/id_rsa
```

On **Windows**, use [PuTTY ssh client](../../../get-started-with-it4innovations/accessing-the-clusters/shell-access-and-data-transfer/putty/putty/).

After logging in, you will see the command prompt:

```bash
                                            _
                       /\                  | |
                      /  \   _ __  ___  ___| |_ __ ___
                     / /\ \ | '_ \/ __|/ _ \ | '_ ` _ \
                    / ____ \| | | \__ \  __/ | | | | | |
                   /_/    \_\_| |_|___/\___|_|_| |_| |_|


                        http://www.it4i.cz/?lang=en

Last login: Tue Jul  9 15:57:38 2013 from your-host.example.com
[username@login2.anselm ~]$
```

>The environment is **not** shared between login nodes, except for [shared filesystems](../storage/storage/#section-1).

Data Transfer
-------------
Data in and out of the system may be transferred by the [scp](http://en.wikipedia.org/wiki/Secure_copy)![external](../../img/external.png) and sftp protocols.  (Not available yet.) In case large volumes of data are transferred, use dedicated data mover node dm1.anselm.it4i.cz for increased performance.

|Address|Port|Protocol|
|---|---|
|anselm.it4i.cz|22|scp, sftp|
|login1.anselm.it4i.cz|22|scp, sftp|
|login2.anselm.it4i.cz|22|scp, sftp|
|dm1.anselm.it4i.cz|22|scp, sftp|

The authentication is by the [private key](../../../get-started-with-it4innovations/accessing-the-clusters/shell-access-and-data-transfer/ssh-keys/)

!!! Note "Note"
	Data transfer rates up to **160MB/s** can be achieved with scp or sftp.

    1TB may be transferred in 1:50h.

To achieve 160MB/s transfer rates, the end user must be connected by 10G line all the way to IT4Innovations and use computer with fast processor for the transfer. Using Gigabit ethernet connection, up to 110MB/s may be expected.  Fast cipher (aes128-ctr) should be used.

!!! Note "Note"
	If you experience degraded data transfer performance, consult your local network provider.

On linux or Mac, use scp or sftp client to transfer the data to Anselm:

```bash
local $ scp -i /path/to/id_rsa my-local-file username@anselm.it4i.cz:directory/file
```

```bash
local $ scp -i /path/to/id_rsa -r my-local-dir username@anselm.it4i.cz:directory
```

or

```bash
local $ sftp -o IdentityFile=/path/to/id_rsa username@anselm.it4i.cz
```

Very convenient way to transfer files in and out of the Anselm computer is via the fuse filesystem [sshfs](http://linux.die.net/man/1/sshfs)

```bash
local $ sshfs -o IdentityFile=/path/to/id_rsa username@anselm.it4i.cz:. mountpoint
```

Using sshfs, the users Anselm home directory will be mounted on your local computer, just like an external disk.

Learn more on ssh, scp and sshfs by reading the manpages

```bash
$ man ssh
$ man scp
$ man sshfs
```

On Windows, use [WinSCP client](http://winscp.net/eng/download.php)![external](../../img/external.png) to transfer the data. The [win-sshfs client](http://code.google.com/p/win-sshfs/)![external](../../img/external.png) provides a way to mount the Anselm filesystems directly as an external disc.

More information about the shared file systems is available [here](../../storage/storage/).