Hardware Overview
=================

The Anselm cluster consists of 209 computational nodes named cn[1-209] of which 180 are regular compute nodes, 23 GPU Kepler K20 accelerated nodes, 4 MIC Xeon Phi 5110 accelerated nodes and 2 fat nodes. Each node is a  powerful x86-64 computer, equipped with 16 cores (two eight-core Intel Sandy Bridge processors), at least 64GB RAM, and local hard drive. The user access to the Anselm cluster is provided by two login nodes login[1,2]. The nodes are interlinked by high speed InfiniBand and Ethernet networks. All nodes share 320TB /home disk storage to store the user files. The 146TB shared /scratch storage is available for the scratch data.

The Fat nodes are equipped with large amount (512GB) of memory. Virtualization infrastructure provides resources to run long term servers and services in virtual mode. Fat nodes and virtual servers may access 45 TB of dedicated block storage. Accelerated nodes, fat nodes, and virtualization infrastructure are available [upon request](https://support.it4i.cz/rt)![external](../img/external.png) made by a PI.

Schematic representation of the Anselm cluster. Each box represents a node (computer) or storage capacity:

<table>
<tbody>
<tr><th colspan="3">User-oriented infrastructure</th><th>Storage</th><th>Management infrastructure</th></tr>
<tr>
<td title="Login nodes">
<table>
<tbody>
<tr>
<td>login1</td>
</tr>
<tr>
<td>login2</td>
</tr>
<tr>
<td>dm1</td>
</tr>
</tbody>
</table>
</td>
<td title="Compute nodes">
<p><strong>Rack 01, Switch isw5<br></strong></p>
<table>
<tbody>
<tr>
<td>cn186</td>
<td>cn187</td>
<td></td>
<td>cn188</td>
<td>cn189</td>
</tr>
<tr>
<td>cn181</td>
<td>cn182</td>
<td>cn183</td>
<td>cn184</td>
<td>cn185</td>
</tr>
</tbody>
</table>
</td>
<td title="Compute nodes">
<p><strong>Rack 01, Switch isw4<br></strong></p>
<table>
<tbody>
<tr>
<td>cn29</td>
<td>cn30</td>
<td>cn31</td>
<td>cn32</td>
<td colspan="2"></td>
<td>cn33</td>
<td>cn34</td>
<td>cn35</td>
<td>cn36</td>
</tr>
<tr>
<td>cn19</td>
<td>cn20</td>
<td>cn21</td>
<td>cn22</td>
<td>cn23</td>
<td>cn24</td>
<td>cn25</td>
<td>cn26</td>
<td>cn27</td>
<td>cn28</td>
</tr>
</tbody>
</table>
</td>
<td rowspan="5" title="Storage">
<table>
<tbody>
<tr>
<td>
<p>&nbsp;</p>
<p>&nbsp;</p>
<p>Lustre FS</p>
<p>/home<br>320TB</p>
<p>&nbsp;</p>
<p>&nbsp;</p>
</td>
</tr>
<tr>
<td>
<p>Lustre FS</p>
<p>/scratch<br>146TB</p>
</td>
</tr>
</tbody>
</table>
</td>
<td rowspan="5" title="Management infrastructure">
<table>
<tbody>
<tr>
<td>Management<br>nodes</td>
<td rowspan="10">Block storage<br>45 TB</td>
</tr>
<tr>
<td>Virtualization<br>infrastructure<br>servers</td>
</tr>
<tr></tr>
<tr></tr>
<tr></tr>
<tr>
<td>...</td>
</tr>
<tr>
<td>Srv node</td>
</tr>
<tr>
<td>Srv node</td>
</tr>
<tr>
<td>Srv node</td>
</tr>
<tr>
<td>...</td>
</tr>
</tbody>
</table>
</td>
</tr>
<tr>
<td title="Compute nodes">
<p><strong>Rack 01, Switch isw0<br></strong></p>
<table>
<tbody>
<tr>
<td>cn11</td>
<td>cn12</td>
<td>cn13</td>
<td>cn14</td>
<td colspan="2"></td>
<td>cn15</td>
<td>cn16</td>
<td>cn17</td>
<td>cn18</td>
</tr>
<tr>
<td>cn1</td>
<td>cn2</td>
<td>cn3</td>
<td>cn4</td>
<td>cn5</td>
<td>cn6</td>
<td>cn7</td>
<td>cn8</td>
<td>cn9</td>
<td>cn10</td>
</tr>
</tbody>
</table>
</td>
<td title="Compute nodes">
<p><strong>Rack 02, Switch isw10<br></strong></p>
<table>
<tbody>
<tr>
<td>cn73</td>
<td>cn74</td>
<td>cn75</td>
<td>cn76</td>
<td colspan="2"></td>
<td>cn77</td>
<td>cn78</td>
<td>cn79</td>
<td>cn80</td>
</tr>
<tr>
<td colspan="2">cn190</td>
<td colspan="2">cn191</td>
<td colspan="2">cn192</td>
<td colspan="2">cn205</td>
<td colspan="2">cn206</td>
</tr>
</tbody>
</table>
</td>
<td title="Compute nodes">
<p><strong>Rack 02, Switch isw9<br></strong></p>
<table>
<tbody>
<tr>
<td>cn65</td>
<td>cn66</td>
<td>cn67</td>
<td>cn68</td>
<td colspan="2"></td>
<td>cn69</td>
<td>cn70</td>
<td>cn71</td>
<td>cn72</td>
</tr>
<tr>
<td>cn55</td>
<td>cn56</td>
<td>cn57</td>
<td>cn58</td>
<td>cn59</td>
<td>cn60</td>
<td>cn61</td>
<td>cn62</td>
<td>cn63</td>
<td>cn64</td>
</tr>
</tbody>
</table>
</td>
</tr>
<tr>
<td title="Compute nodes">
<p><strong>Rack 02, Switch isw6<br></strong></p>
<table>
<tbody>
<tr>
<td>cn47</td>
<td>cn48</td>
<td>cn49</td>
<td>cn50</td>
<td colspan="2"></td>
<td>cn51</td>
<td>cn52</td>
<td>cn53</td>
<td>cn54</td>
</tr>
<tr>
<td>cn37</td>
<td>cn38</td>
<td>cn39</td>
<td>cn40</td>
<td>cn41</td>
<td>cn42</td>
<td>cn43</td>
<td>cn44</td>
<td>cn45</td>
<td>cn46</td>
</tr>
</tbody>
</table>
</td>
<td title="Compute nodes">
<p><strong>Rack 03, Switch isw15<br></strong></p>
<table>
<tbody>
<tr>
<td colspan="2">cn193</td>
<td colspan="2">cn194</td>
<td colspan="2"></td>
<td colspan="2">cn195</td>
<td colspan="2">cn207</td>
</tr>
<tr>
<td>cn117</td>
<td>cn118</td>
<td>cn119</td>
<td>cn120</td>
<td>cn121</td>
<td>cn122</td>
<td>cn123</td>
<td>cn124</td>
<td>cn125</td>
<td>cn126</td>
</tr>
</tbody>
</table>
</td>
<td title="Compute nodes">
<p><strong>Rack 03, Switch isw14<br></strong></p>
<table>
<tbody>
<tr>
<td>cn109</td>
<td>cn110</td>
<td>cn111</td>
<td>cn112</td>
<td colspan="2"></td>
<td>cn113</td>
<td>cn114</td>
<td>cn115</td>
<td>cn116</td>
</tr>
<tr>
<td>cn99</td>
<td>cn100</td>
<td>cn101</td>
<td>cn102</td>
<td>cn103</td>
<td>cn104</td>
<td>cn105</td>
<td>cn106</td>
<td>cn107</td>
<td>cn108</td>
</tr>
</tbody>
</table>
</td>
</tr>
<tr>
<td title="Compute nodes">
<p><strong>Rack 03, Switch isw11<br></strong></p>
<table>
<tbody>
<tr>
<td>cn91</td>
<td>cn92</td>
<td>cn93</td>
<td>cn94</td>
<td colspan="2"></td>
<td>cn95</td>
<td>cn96</td>
<td>cn97</td>
<td>cn98</td>
</tr>
<tr>
<td>cn81</td>
<td>cn82</td>
<td>cn83</td>
<td>cn84</td>
<td>cn85</td>
<td>cn86</td>
<td>cn87</td>
<td>cn88</td>
<td>cn89</td>
<td>cn90</td>
</tr>
</tbody>
</table>
</td>
<td title="Compute nodes">
<p><strong>Rack 04, Switch isw20<br></strong></p>
<table>
<tbody>
<tr>
<td>cn173</td>
<td>cn174</td>
<td>cn175</td>
<td>cn176</td>
<td colspan="2"></td>
<td>cn177</td>
<td>cn178</td>
<td>cn179</td>
<td>cn180</td>
</tr>
<tr>
<td>cn163</td>
<td>cn164</td>
<td>cn165</td>
<td>cn166</td>
<td>cn167</td>
<td>cn168</td>
<td>cn169</td>
<td>cn170</td>
<td>cn171</td>
<td>cn172</td>
</tr>
</tbody>
</table>
</td>
<td title="Compute nodes">
<p><strong>Rack 04,<strong> Switch </strong>isw19<br></strong></p>
<table>
<tbody>
<tr>
<td>cn155</td>
<td>cn156</td>
<td>cn157</td>
<td>cn158</td>
<td colspan="2"></td>
<td>cn159</td>
<td>cn160</td>
<td>cn161</td>
<td>cn162</td>
</tr>
<tr>
<td>cn145</td>
<td>cn146</td>
<td>cn147</td>
<td>cn148</td>
<td>cn149</td>
<td>cn150</td>
<td>cn151</td>
<td>cn152</td>
<td>cn153</td>
<td>cn154</td>
</tr>
</tbody>
</table>
</td>
</tr>
<tr>
<td title="Compute nodes">
<p><strong>Rack 04, Switch isw16<br></strong></p>
<table>
<tbody>
<tr>
<td>cn137</td>
<td>cn138</td>
<td>cn139</td>
<td>cn140</td>
<td colspan="2"></td>
<td>cn141</td>
<td>cn142</td>
<td>cn143</td>
<td>cn144</td>
</tr>
<tr>
<td>cn127</td>
<td>cn128</td>
<td>cn129</td>
<td>cn130</td>
<td>cn131</td>
<td>cn132</td>
<td>cn133</td>
<td>cn134</td>
<td>cn135</td>
<td>cn136</td>
</tr>
</tbody>
</table>
</td>
<td title="Compute nodes">
<p><strong>Rack 05, Switch isw21<br></strong></p>
<table>
<tbody>
<tr>
<td>cn201</td>
<td>cn202</td>
<td></td>
<td>cn203</td>
<td>cn204</td>
</tr>
<tr>
<td>cn196</td>
<td>cn197</td>
<td>cn198</td>
<td>cn199</td>
<td>cn200</td>
</tr>
</tbody>
</table>
</td>
<td title="Fat nodes">
<table>
<tbody>
<tr>
<td>Fat node cn208</td>
</tr>
<tr>
<td>Fat node cn209</td>
</tr>
<tr>
<td>...</td>
</tr>
</tbody>
</table>
</td>
</tr>
</tbody>
</table>

The cluster compute nodes cn[1-207] are organized within 13 chassis.

There are four types of compute nodes:

-   180 compute nodes without the accelerator
-   23 compute nodes with GPU accelerator - equipped with NVIDIA Tesla Kepler K20
-   4 compute nodes with MIC accelerator - equipped with Intel Xeon Phi 5110P
-   2 fat nodes - equipped with 512GB RAM and two 100GB SSD drives

[More about Compute nodes](compute-nodes/).

GPU and accelerated nodes are available upon request, see the [Resources Allocation Policy](resource-allocation-and-job-execution/resources-allocation-policy/).

All these nodes are interconnected by fast InfiniBand network and Ethernet network.  [More about the Network](network/).
Every chassis provides Infiniband switch, marked **isw**, connecting all nodes in the chassis, as well as connecting the chassis to the upper level switches.

All nodes share 360TB /home disk storage to store user files. The 146TB shared /scratch storage is available for the scratch data. These file systems are provided by Lustre parallel file system. There is also local disk storage available on all compute nodes /lscratch.  [More about Storage](storage/storage/).

The user access to the Anselm cluster is provided by two login nodes login1, login2, and data mover node dm1. [More about accessing cluster.](accessing-the-cluster/shell-and-data-access/)

The parameters are summarized in the following tables:

|**In general**||
|---|---|
|Primary purpose|High Performance Computing|
|Architecture of compute nodes|x86-64|
|Operating system|Linux|
|[**Compute nodes**](compute-nodes/)||
|Totally|209|
|Processor cores|16 (2x8 cores)|
|RAM|min. 64 GB, min. 4 GB per core|
|Local disk drive|yes - usually 500 GB|
|Compute network|InfiniBand QDR, fully non-blocking, fat-tree|
|w/o accelerator|180, cn[1-180]|
|GPU accelerated|23, cn[181-203]|
|MIC accelerated|4, cn[204-207]|
|Fat compute nodes|2, cn[208-209]|
|**In total**||
|Total theoretical peak performance  (Rpeak)|94 Tflop/s|
|Total max. LINPACK performance  (Rmax)|73 Tflop/s|
|Total amount of RAM|15.136 TB|

  |Node|Processor|Memory|Accelerator|
  |---|---|---|---|
  |w/o accelerator|2x Intel Sandy Bridge E5-2665, 2.4GHz|64GB|-|
  |GPU accelerated|2x Intel Sandy Bridge E5-2470, 2.3GHz|96GB|NVIDIA Kepler K20|
  |MIC accelerated|2x Intel Sandy Bridge E5-2470, 2.3GHz|96GB|Intel Xeon Phi P5110|
  |Fat compute node|2x Intel Sandy Bridge E5-2665, 2.4GHz|512GB|-|

For more details please refer to the [Compute nodes](compute-nodes/), [Storage](storage/storage/), and [Network](network/).